﻿bys year:sum taxfee
bys year:sum taxfee if expdum==1
bys year:sum taxfee if expdum==0
bys year:sum taxfee if expdum==1&region==1
bys year:sum taxfee if expdum==1&region==2
bys year:sum taxfee if expdum==1&region==3

sum lnexp expdum taxfee firmage lnemp netl political hysf dysf age edu
sum lnexp expdum taxfee firmage lnemp netl political hysf dysf age edu if expdum==1
sum lnexp expdum taxfee firmage lnemp netl political hysf dysf age edu if expdum==0

areg lnexp  taxfee     i.hy1  i.prov_year  i.city ,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp    i.hy1   i.prov_year  i.city  ,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp netl    i.hy1 i.prov_year  i.city  ,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp netl political hysf dysf     i.hy1  i.prov_year  i.city ,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year  i.city  ,absorb(city) cluster(proid)

probit expdum  taxfee     i.hy1 i.prov_year i.city, cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp     i.hy1 i.prov_year i.city, cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp netl     i.hy1 i.prov_year i.city, cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp netl political hysf dysf     i.hy1 i.prov_year i.city, cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu     i.hy1 i.prov_year i.city, cluster(proid)  nolog

heckman  yyxx  taxfee   firmage lnemp netl  i.hy1 i.proid#i.year i.city ,select( expdum=taxfee  firmage lnemp netl  i.hy1 i.proid i.year  i.city  )  nolog  two first
heckman  yyxx  taxfee   firmage lnemp netl political hysf dysf   i.hy1 i.proid#i.year i.city ,select( expdum=taxfee  firmage lnemp netl political hysf dysf  i.hy1 i.proid i.year i.city  )  nolog  two first
heckman  yyxx  taxfee   firmage lnemp netl political hysf dysf  age edu i.hy1 i.proid#i.year i.city ,select( expdum=taxfee  firmage lnemp netl political hysf dysf age edu i.hy1 i.proid i.year  i.city )  nolog  two first

bys proid hy1:egen mean_taxfee_pro_hy=mean(taxfee)
g mean_taxfee_pro_hy2= mean_taxfee_pro_hy^2
bys proid hy1 year:egen mean_taxfee=mean(taxfee)
g mean_taxfee2= mean_taxfee^2
ivregress 2sls  lnexp   ( taxfee =  mean_taxfee_pro_hy2    mean_taxfee2 )  firmage lnemp netl political hysf dysf  age edu  i.city i.prov_year ,cluster(proid) first
ivprobit   expdum ( taxfee =   mean_taxfee_pro_hy2   mean_taxfee2 )  firmage lnemp netl political hysf dysf  age edu   i.city i.prov_year ,  first twostep   
  
areg  lnexp  taxfee firmage lnemp netl political hysf dysf  age edu   i.hy1 i.hy_year  i.prov_year ,absorb(city) cluster(proid) 
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu     i.hy1 i.prov_year i.city i.hy_year  , cluster(proid)  nolog
areg  lnexp  taxfee  swfd  firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year  i.city  ,absorb(city) cluster(proid)
probit expdum  taxfee   swfd  firmage lnemp netl political hysf dysf  age edu    i.hy1 i.prov_year i.city, cluster(proid)  nolog                                                                                                                     
areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu  i.firmtype   i.hy1  i.prov_year  i.city  i.hy_year  ,absorb(city) cluster(proid)
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu    i.firmtype   i.hy1  i.prov_year   i.hy_year   i.city, cluster(proid)  nolog

areg lntz  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year ,absorb(city) cluster(proid)
areg lnexp taxfee lntz     firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year ,absorb(city) cluster(proid)
probit expdum  taxfee lntz    firmage lnemp netl political hysf dysf  age edu     i.hy1 i.prov_year i.city, cluster(proid)  nolog
areg  lnrd  taxfee   firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year  if rdzb< .2398083  , absorb(city) cluster(proid)        
areg  lnexp  taxfee  lnrd   firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year  if rdzb<  .2398083  , absorb(city) cluster(proid)      
probit  expdum  taxfee lnrd   firmage lnemp netl political hysf dysf  age edu   i.hy1  i.prov_year  i.city  if rdzb<.2398083  , cluster(proid)  nolog
areg   lp   taxfee            firmage   political hysf dysf  age edu   i.hy1  i.prov_year  ,absorb(city) cluster(proid)
areg    lnexp taxfee lp    firmage   political hysf dysf  age edu   i.hy1  i.prov_year,absorb(city) cluster(proid)
probit expdum  taxfee  lp    firmage   political hysf dysf  age edu     i.hy1 i.prov_year i.city  , cluster(proid)  nolog

areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if hy1==6|hy1==7|hy1==8|hy1==10|hy1==12|hy1==13,absorb(city) cluster(proid)
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if  hy1==6|hy1==7|hy1==8|hy1==10|hy1==12|hy1==13, cluster(proid)  nolog
areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if  hy1==14|hy1==15|hy1==16|hy1==17|hy1==18|hy1==19,absorb(city) cluster(proid)
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if  hy1==14|hy1==15|hy1==16|hy1==17|hy1==18|hy1==19, cluster(proid)  nolog

areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if region==1,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if region==3|region==2,absorb(city) cluster(proid)
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if region==1, cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if region==3|region==2, cluster(proid)  nolog

areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if firmage<=10 ,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if firmage>10 ,absorb(city) cluster(proid)
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if firmage<=10 , cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if firmage>10 , cluster(proid)  nolog

areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if political==1 ,absorb(city) cluster(proid)
areg lnexp  taxfee    firmage lnemp netl political hysf dysf  age edu   i.hy1 i.prov_year  i.city  if political==0 ,absorb(city) cluster(proid)
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if political==1 , cluster(proid)  nolog
probit expdum  taxfee    firmage lnemp netl political hysf dysf  age edu i.hy1 i.prov_year i.city  if political==0 , cluster(proid)  nolog